Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 28 Apr 2021 01:21:18 +0200

Gregory Heytings <[email-masked]> writes:

> Stefan M means (IIUC) that, instead of introducing a new variable to
> clean up the current situation, it is better to reuse the already
> existing ring-bell-function variable, to give it some new possible
> values, and at the same time to deprecate the visible-bell variable.

Sure, that makes sense, I think.  (Since `ring-bell-function' has
precedence over `visible-bell'.)

So we'd change the default of the former to be a new visible bell
function (for instance something that works the same as the visible bell
on GNU/Linux systems, but across all systems (or one of the new proposed
visible bell functions)), and deprecate `visible-bell'.  I think that
should be a pretty un-annoying way forward.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no